Debian Bug report logs - #175858
vorbis.m4 passes wrong value to encode_init()

version graph

Package: libvorbis-dev; Maintainer for libvorbis-dev is Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>; Source for libvorbis-dev is src:libvorbis.

Reported by: Yann Dirson <dirson@debian.org>

Date: Wed, 8 Jan 2003 15:33:10 UTC

Severity: grave

Tags: fixed-upstream, patch, upstream

Found in version 1.0.0-1

Done: Chris Cheney <ccheney@cheney.cx>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>, libvorbis@packages.qa.debian.org:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <dirson@debian.org>:
New Bug report received and forwarded. Copy sent to Christopher L Cheney <ccheney@debian.org>, libvorbis@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <dirson@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vorbis.m4 passes wrong value to encode_init()
Date: Wed, 8 Jan 2003 16:49:17 +0100
Package: libvorbis-dev
Version: 1.0.0-1
Severity: normal

The test programs invokes:

    vorbis_encode_init (&vi, 2, 44100, -1, 128, -1); 

This causes a segfault on my box.  And possibly on others, as I was told
that RH has a bugreport on this, using this fix, which also works for me:

     vorbis_encode_init (&vi, 2, 44100, -1, 128000, -1); 


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux bylbo 2.4.19+mppe-k6 #1 SMP Fri Nov 15 20:50:49 CET 2002 i586
Locale: LANG=français, LC_CTYPE=français

Versions of packages libvorbis-dev depends on:
ii  libogg-dev                    1.0.0-1    Ogg Bitstream Library Development
ii  libvorbis0                    1.0.0-1    The Vorbis General Audio Compressi
ii  libvorbisenc2                 1.0.0-1    The Vorbis General Audio Compressi
ii  libvorbisfile3                1.0.0-1    The Vorbis General Audio Compressi

-- no debconf information


-- 
Yann Dirson    <ydirson@altern.org> |    Why make M$-Bill richer & richer ?
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
Pro:    <yann.dirson@fr.alcove.com> |  Freedom, Power, Stability, Gratuity
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>, libvorbis@packages.qa.debian.org:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>, libvorbis@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 175858@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: 175858@bugs.debian.org, control@bugs.debian.org
Subject: please fix !
Date: Thu, 13 Feb 2003 14:40:27 +0100
severity 175858 important
thanks

Some programs have this bug fixed in the aclocal.m4 they ship (eg. gcompris
2.1).  Regenerating it on a Debian package re-introduces that bug !

-- 
Yann Dirson    <ydirson@altern.org> |    Why make M$-Bill richer & richer ?
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
Pro:    <yann.dirson@fr.alcove.com> |  Freedom, Power, Stability, Gratuity
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Severity set to `important'. Request was from Yann Dirson <ydirson@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Yann Dirson <ydirson@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Yann Dirson <ydirson@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>, libvorbis@packages.qa.debian.org:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>, libvorbis@packages.qa.debian.org. Full text and rfc822 format available.

Message #21 received at 175858@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: 175858@bugs.debian.org, control@bugs.debian.org
Subject: What about this bug ?
Date: Thu, 13 Mar 2003 22:35:07 +0100
tags 175858 + patch
thanks

Hi Christopher,

I notice you're closing many bugs in libvobis those days, but that
this one does not get addressed, despite the patch being available.

I was just hit once again by this thing, after I had to regenerate
autotools stuff for gcompris :(

-- 
Yann Dirson    <ydirson@altern.org> |    Why make M$-Bill richer & richer ?
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
Pro:    <yann.dirson@fr.alcove.com> |  Freedom, Power, Stability, Gratuity
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Tags added: patch Request was from Yann Dirson <ydirson@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to James Ponder <james@squish.net>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #28 received at 175858@bugs.debian.org (full text, mbox):

From: James Ponder <james@squish.net>
To: 175858@bugs.debian.org
Subject: vorbis.m4 still broken
Date: Sun, 3 Aug 2003 23:15:02 +0100
Can someone please please please fix this bug??  All it takes is for
128 to be modified to be 128000 in the script.


Best wishes, James
-- 
James Ponder; www.squish.net; London, UK



Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #33 received at 175858@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 175858@bugs.debian.org
Subject: vorbis.m4 passes wrong value to encode_init()
Date: Tue, 2 Sep 2003 00:24:27 -0500
tags 175858 + pending
stop

This bug has been fixed in Xiph.org cvs and will be fixed in the next
upload to Debian (later this week).

Chris



Tags added: pending Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #40 received at 175858@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: 175858@bugs.debian.org
Cc: control@bugs.debian.org
Subject: segfaulting all over the place :)
Date: Wed, 10 Sep 2003 02:29:29 +0200
severity 175858 grave
thanks

Hi,

Trying to use XIPH_PATH_VORBIS in xmms 1.2.8 also produces a core dump.

Please fix this. TIA.

-- 
     2. That which causes joy or happiness.



Severity set to `grave'. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #47 received at 175858-quiet@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: Josip Rodin <joy@srce.hr>, 175858-quiet@bugs.debian.org
Subject: Re: Bug#175858: segfaulting all over the place :)
Date: Tue, 9 Sep 2003 21:10:57 -0500
On Wed, Sep 10, 2003 at 02:29:29AM +0200, Josip Rodin wrote:
> severity 175858 grave
> thanks
> 
> Hi,
> 
> Trying to use XIPH_PATH_VORBIS in xmms 1.2.8 also produces a core dump.
> 
> Please fix this. TIA.
> 
> -- 
>      2. That which causes joy or happiness.

doh its already pending, of course its going to be fixed ASAP. The only
thing holding back the 1.0.1 release is getting it to compile for win32
users.

Chris 



Tags added: upstream Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <martin@piware.de>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #54 received at 175858@bugs.debian.org (full text, mbox):

From: Martin Pitt <martin@piware.de>
To: 175858@bugs.debian.org, control@bugs.debian.org
Subject: Removing pending
Date: Thu, 9 Oct 2003 20:44:07 +0200
tags 175858 - pending
thanks

Hi!

pending was set over a month ago and no upload took place (although it
was announced). Thus I'm removing pending to clear up the RC bug list.

Martin
-- 
Martin Pitt
home:  www.piware.de
eMail: martin@piware.de



Tags removed: pending Request was from Martin Pitt <martin@piware.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #61 received at 175858@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: Martin Pitt <martin@piware.de>, 175858@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#175858: Removing pending
Date: Thu, 9 Oct 2003 14:59:06 -0500
[Message part 1 (text/plain, inline)]
tags 175858 + pending
stop

On Thu, Oct 09, 2003 at 08:44:07PM +0200, Martin Pitt wrote:
> tags 175858 - pending
> thanks
> 
> Hi!
> 
> pending was set over a month ago and no upload took place (although it
> was announced). Thus I'm removing pending to clear up the RC bug list.
> 
> Martin

It should still be pending, the upload will take place any day now,
there is only a minor thing holding up the upstream release and I will
be uploading the day of release. :\  The bug does not need an NMU if
upstream decides they aren´t going to do a release in time I will be
uploading a cvs snapshot that fixes all outstanding bugs against all the
Ogg Vorbis packages.

Chris
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@logic.univie.ac.at>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #68 received at 175858@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@logic.univie.ac.at>
To: 175858@bugs.debian.org
Subject: Re: Bug#175858: Removing pending
Date: Fri, 24 Oct 2003 16:23:09 +0200
On Thu, Oct 09, 2003 at 02:59:06PM -0500, Chris Cheney wrote:
> On Thu, Oct 09, 2003 at 08:44:07PM +0200, Martin Pitt wrote:
[...] 
> > pending was set over a month ago and no upload took place (although it
> > was announced). Thus I'm removing pending to clear up the RC bug list.
 
> It should still be pending, the upload will take place any day now,
> there is only a minor thing holding up the upstream release and I will
> be uploading the day of release. :\  The bug does not need an NMU if
> upstream decides they aren´t going to do a release in time I will be
> uploading a cvs snapshot that fixes all outstanding bugs against all the
> Ogg Vorbis packages.

For the benefit of other developers browsing over RC-bugs:

Crossreading through vorbis-dev it looks like the developers are still
*actively* pondering how to link the win32 libraries, which is the
last tidbit holding up the release according to Chris earlier in this
report.
                      cu andreas



Tags removed: pending Request was from Yann Dirson <ydirson@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Yann Dirson <ydirson@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #77 received at 175858@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: 175858@bugs.debian.org, ccheney@debian.org
Subject: Should I NMU ?
Date: Thu, 20 Nov 2003 17:20:23 +0100
It's been one month since you last mentionned a new upstream was
coming.  Since it's apparently not there yet, why not applying this
trivial patch !?

-- 
Yann Dirson    <ydirson@altern.org> |    Why make M$-Bill richer & richer ?
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
Pro:    <yann.dirson@fr.alcove.com> |  Freedom, Power, Stability, Gratuity
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #82 received at 175858@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: Yann Dirson <ydirson@altern.org>
Cc: 175858@bugs.debian.org
Subject: Re: Should I NMU ?
Date: Thu, 20 Nov 2003 12:51:50 -0600
[Message part 1 (text/plain, inline)]
On Thu, Nov 20, 2003 at 05:20:23PM +0100, Yann Dirson wrote:
> 
> It's been one month since you last mentionned a new upstream was
> coming.  Since it's apparently not there yet, why not applying this
> trivial patch !?

As I understand it the new Ogg Vorbis was released last night so I will
be packaging it very soon (hopefully later today).

Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>:
Bug#175858; Package libvorbis-dev. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>. Full text and rfc822 format available.

Message #87 received at 175858@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: Chris Cheney <ccheney@cheney.cx>
Cc: 175858@bugs.debian.org
Subject: Re: Should I NMU ?
Date: Thu, 20 Nov 2003 23:34:50 +0100
On Thu, Nov 20, 2003 at 12:51:50PM -0600, Chris Cheney wrote:
> On Thu, Nov 20, 2003 at 05:20:23PM +0100, Yann Dirson wrote:
> > 
> > It's been one month since you last mentionned a new upstream was
> > coming.  Since it's apparently not there yet, why not applying this
> > trivial patch !?
> 
> As I understand it the new Ogg Vorbis was released last night so I will
> be packaging it very soon (hopefully later today).

Ah, that's cool news !

Thanks,
-- 
Yann Dirson    <ydirson@altern.org> |    Why make M$-Bill richer & richer ?
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
Pro:    <yann.dirson@fr.alcove.com> |  Freedom, Power, Stability, Gratuity
     http://ydirson.free.fr/        | Check <http://www.debian.org/>



Reply sent to Chris Cheney <ccheney@cheney.cx>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yann Dirson <dirson@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #92 received at 175858-done@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 175858-done@bugs.debian.org
Subject: vorbis.m4 passes wrong value to encode_init()
Date: Tue, 9 Dec 2003 10:38:38 -0600
[Message part 1 (text/plain, inline)]
This bug has been fixed with the new libvorbis 1.0.1-1 upload to sid.

Thanks,
Chris Cheney
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:09:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.